List AI agents

GET
/v1/ai-agents

Lists all AI agents in an organization. AI agents include Dixa's native Mim agents and external chatbot integrations.

Authorization

ApiKeyAuth
headerAuthorization<token>

Response Body

The list of AI agents

application/json
  1. response
data?array<|||||>
Example Request
curl -X GET 'https://dev.dixa.io/v1/ai-agents' \  -H 'Authorization: <API token>'
{
"data": [
{
"id": "93b885ad-fe0d-3089-8df6-34904fd59f71",
"name": "Support Bot",
"systemUserId": "8277e091-0d75-3195-b448-797616e091ad",
"_type": "MimSupport"
},
{
"id": "55a54008-ad1b-3589-aa21-0d2629c1df41",
"name": "Automation Bot",
"systemUserId": "e1671797-c52e-35f7-a338-0b45e841ec32",
"_type": "MimAutomation"
},
{
"id": "9e688c58-a548-3b8e-af69-c9e1005ad0bf",
"name": "Ada Assistant",
"systemUserId": "8fa14cdd-754f-31cc-a554-c9e71929cce7",
"_type": "Ada"
},
{
"id": "86666835-06aa-3d90-8bbd-5a74ac4edf68",
"name": "DigitalGenius Bot",
"systemUserId": "b2f5ff47-4366-31b6-a533-d8dc3614845d",
"_type": "Digitalgenius"
},
{
"id": "ec7f7e7b-b437-32ce-8681-45f71d37b53c",
"name": "Kindly Bot",
"systemUserId": "2510c390-11c5-3e70-8182-423e3a695e91",
"_type": "Kindly"
},
{
"id": "8bb6c178-3864-3f96-91cc-6a4de6c51709",
"name": "Generic API Bot",
"systemUserId": "865c0c0b-4ab0-3063-a5ca-a3387c1a8741",
"_type": "Genericapimessaging"
}
]
}